Create Practice
curl --request POST \
--url https://api.opennote.com/v1/interactives/practice/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"set_description": "<string>",
"count": 5,
"set_name": "<string>",
"search_for_problems": false,
"webhook_url": "<string>"
}
'import requests
url = "https://api.opennote.com/v1/interactives/practice/create"
payload = {
"set_description": "<string>",
"count": 5,
"set_name": "<string>",
"search_for_problems": False,
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
set_description: '<string>',
count: 5,
set_name: '<string>',
search_for_problems: false,
webhook_url: '<string>'
})
};
fetch('https://api.opennote.com/v1/interactives/practice/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"timestamp": "<string>",
"message": "<string>",
"set_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}API Reference
Create Practice
POST
/
v1
/
interactives
/
practice
/
create
Create Practice
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The description of the practice problem set
The number of practice problems to create
Required range:
1 <= x <= 15The name of the practice problem set. One will be generated for you at additional cost if you do not provide one.
Whether to search the web for additional context to help with the practice problem set, at additional cost.
The webhook URL to send the practice problem set creation status to.
Was this page helpful?
⌘I

